Run of lintian-fixes for spread-sheet-widget

Try this locally (using the lintian-brush package):

debcheckout spread-sheet-widget
cd spread-sheet-widget
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
Opening branch at https://salsa.debian.org/beckmanf/spread-sheet-widget.git/,branch=master
Cached branch URL https://janitor.debian.net/git/spread-sheet-widget,branch=master missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/spread-sheet-widget/": location is a repository.
58), done.
Total 258 (delta 149), reused 147 (delta 81), pack-reused 0

Total 5 (delta 0), reused 0 (delta 0), pack-reused 0
Workspace ready - starting.
only add-on fixers found
Opened schroot session unstable-amd64-sbuild-1d6b9583-134d-4e17-9e40-ea4a72c5c146 (from unstable-amd64-sbuild)
Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(MissingPythonModule, fix_missing_python_module), SimpleBuildFixer(MissingPythonDistribution, fix_missing_python_distribution), SimpleBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver())]
Building debian packages, running 'sbuild -A -v -c unstable-amd64-sbuild'.
Attempting to use fixer upstream requirement fixer(apt) to address MissingCommand('makeinfo')
Loading apt contents information
Adding build dependency: texinfo
Committing to: /tmp/tmp5fbvh2z4/spread-sheet-widget/
deleted debian/changelog
modified debian/control
Committed revision 24.
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/workingtree.py", line 361, in get_file_with_stat
    file_obj = open(abspath, 'rb')
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/tmp5fbvh2z4/spread-sheet-widget/debian/changelog'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 209, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 801, in process_package
    build_target_details = build_target.build(
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 506, in build
    (changes_name, cl_version) = build_incrementally(
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/debian/fix_build.py", line 593, in build_incrementally
    return attempt_build(
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 230, in attempt_build
    add_dummy_changelog_entry(
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 107, in add_dummy_changelog_entry
    with tree.get_file(path) as f:
  File "/srv/janitor/debian-janitor/breezy/breezy/workingtree.py", line 354, in get_file
    return self.get_file_with_stat(path, filtered=filtered)[0]
  File "/srv/janitor/debian-janitor/breezy/breezy/workingtree.py", line 364, in get_file_with_stat
    raise errors.NoSuchFile(path)
breezy.errors.NoSuchFile: No such file: 'debian/changelog'

Summary

Full worker log